mcg_simple_web_widget 0.0.2

  • Readme
  • Changelog
  • Installing
  • new53

mcg_simple_web_widget #

A new Flutter package.

Getting Started #

This project is a starting point for a Dart package, a library module containing code that can be shared easily across multiple Flutter or Dart projects.

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

[0.0.2] - TODO: Add release date.

  • TODO: Describe initial release.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  mcg_simple_web_widget: ^0.0.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:mcg_simple_web_widget/mcg_simple_web_widget.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
26
Health:
Code health derived from static analysis. [more]
95
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
60
Overall:
Weighted score of the above. [more]
53
Learn more about scoring.

We analyzed this package on Jan 20, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.0
  • pana: 0.13.4
  • Flutter: 1.12.13+hotfix.5

Health suggestions

Fix lib/image.dart. (-1.49 points)

Analysis of lib/image.dart reported 3 hints:

line 4 col 7: This class (or a class which this class inherits from) is marked as '@immutable', but one or more of its instance fields are not final: Resim.resimYolu

line 39 col 7: This class (or a class which this class inherits from) is marked as '@immutable', but one or more of its instance fields are not final: AnimasyonluResim2.resimYolu

line 65 col 7: This class (or a class which this class inherits from) is marked as '@immutable', but one or more of its instance fields are not final: AnimasyonluResim.resimYolu

Fix lib/ustbar.dart. (-1.49 points)

Analysis of lib/ustbar.dart reported 3 hints:

line 5 col 8: Unused import: 'package:mcg_simple_web_widget/ustbarbuyukwidget.dart'.

line 9 col 14: The declaration '_kBarButtonHeight' isn't referenced.

line 166 col 7: This class (or a class which this class inherits from) is marked as '@immutable', but one or more of its instance fields are not final: UstBarTusu.isim

Fix lib/text.dart. (-1 points)

Analysis of lib/text.dart reported 2 hints:

line 6 col 7: This class (or a class which this class inherits from) is marked as '@immutable', but one or more of its instance fields are not final: Metin.yazi, Metin.renk, Metin.yaziBoyutu, Metin.kalinlik, Metin.italic, Metin.altiCizili, Metin.otomatikBoyut, Metin.textHizalama

line 47 col 7: This class (or a class which this class inherits from) is marked as '@immutable', but one or more of its instance fields are not final: AnimasyonluMetin.kalinlik

Fix additional 10 files with analysis or formatting issues. (-1.50 points)

Additional issues in the following files:

  • lib/akillirow.dart (1 hint)
  • lib/bolum.dart (1 hint)
  • lib/yuvarlak.dart (1 hint)
  • lib/animasyonluarkaplan.dart (Run flutter format to format lib/animasyonluarkaplan.dart.)
  • lib/arkaplan.dart (Run flutter format to format lib/arkaplan.dart.)
  • lib/galeri.dart (Run flutter format to format lib/galeri.dart.)
  • lib/slidewidget.dart (Run flutter format to format lib/slidewidget.dart.)
  • lib/tweenanimation.dart (Run flutter format to format lib/tweenanimation.dart.)
  • lib/webscaffold.dart (Run flutter format to format lib/webscaffold.dart.)
  • lib/widgetextension.dart (Run flutter format to format lib/widgetextension.dart.)

Maintenance suggestions

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and mcg_simple_web_widget.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.6.0 <3.0.0
animated_background ^1.0.5 1.0.5
animated_text_kit ^2.0.0 2.0.0
auto_animated ^2.0.1 2.0.1
auto_animated_icon ^1.1.4 1.1.4
flutter 0.0.0
flutter_page_indicator ^0.0.3 0.0.3
flutter_swiper ^1.1.6 1.1.6
mcg_extension ^0.0.3 0.0.3
parallax_image ^0.3.1+1 0.3.1+1
responsive_builder ^0.1.4 0.1.4
scroll_to_index ^1.0.5 1.0.5
Transitive dependencies
charcode 1.1.2
collection 1.14.11 1.14.12
csslib 0.16.1
flutter_widgets 0.1.9
html 0.14.0+3
matcher 0.12.6
meta 1.1.8
path 1.6.4
quiver 2.1.2+1
sky_engine 0.0.99
source_span 1.6.0
stack_trace 1.9.3
term_glyph 1.1.0
transformer_page_view 0.1.6
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test